package intrinsic.mx.effects;

public class AddChildAction extends intrinsic.mx.effects.Effect {

	/** Accessors */

	/** Variables */
	public intrinsic.flash.display.DisplayObjectContainer relativeTo;
	public String position;
	public int index;
	public double perElementOffset;
	public int repeatDelay;
	public int startDelay;
	public int repeatCount;
	public intrinsic.Class instanceClass;
	public boolean suspendBackgroundProcessing;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AddChildAction() {
}

public AddChildAction(Object arg0) {
}


/** Static Methods */

/** Methods */
public native intrinsic.Array createInstances();
public native intrinsic.Array createInstances(intrinsic.Array arg0);
public native intrinsic.Array getAffectedProperties();

}
